#!/usr/bin/python2.7
# -*- coding: utf-8 -*-
#
# Univention Management Console module:
#   Maildisclaimer
#
# Copyright 2015 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

from univention.lib.i18n import Translation

_ = Translation('univention-management-console-module-maildisclaimer').translate

class HTML:

    galleryCss = """
body {
    display: block;
    margin: 3em !important;
}

img.thumbnail {
    display: block;
    margin: 0 auto;
    height: 40px;
    min-height: 40px;
    max-width: 90px;
}

.table-file-browser {
    margin: 0 auto 2em auto;
    width: 100%;
}

.table-file-browser tr :first-child, .table-file-browser tr :last-child {
    text-align: center;
}

.table-file-browser tr td a {
    margin: 0 0.5em;
    color: #000;
    text-decoration: none;
}

.table-file-browser th {
    padding: 0.4em !important;
}

.browser-submit {
    float: right;
    padding: 0.2em !important;
}

.new-image {
    clear: both;
    margin-top: 3em;
}

.new-image .browser-submit {
    float: none;
}
"""

    gallery = """<html>
<head>
<style>
{{ css }}
</style>
</head>
<body>
<form action="{{ commandpath }}/getimage">
<table class="table-file-browser">
<tr>
    <th>""" + _("Preview") + """</th>
    <th>""" + _("Filename") + """</th>
    <th>""" + _("Delete") + """ </th>
</tr>
{% for row in images %}
    <tr>
        <td><a href="{{ row.href }}"><img src="{{ row.src }}" class="thumbnail" /></a></td>
        <td>{{ row.name }}</td>
        <td><input type="checkbox" name="name" value="{{ row.name }}"</td>
    </tr>
{% endfor %}
</table>

<input type="submit" name="action" value='""" + _("Delete") + """' />
</form>
</body>
</html>
"""

    imageStored = """<html>
<body>
<script type="text/javascript">
window.parent.CKEDITOR.tools.callFunction('{{ callback }}', '{{ img_src }}')
</script>
</body>
</html>
"""

